<script lang="ts">
    import type { entry as entryType } from "../../types/status"
    import sites from "../../sites"

    export let entry: entryType
</script>

<figure class:down={entry.down} on:click>
    <div>
        <h2>
            {sites && sites[entry.token] ? sites[entry.token][0] : entry.alias}
            <span class="badge">
                {entry.uptime > 99.9 ? "99.9" : `${Math.round(entry.uptime * 10) / 10}`}%
            </span>
        </h2>
        <p>
            {sites && sites[entry.token] ? sites[entry.token][1] : "?"}
        </p>
    </div>
    <aside>
        {#if entry.down}
            Fehlerhaft
        {:else}
            Verfügbar
        {/if}
    </aside>
</figure>

<style>
    figure {
        margin: 0px;
        width: calc(100% - 40px);

        border-radius: 5px;
        border: 0.5px solid var(--green);

        margin: 20px auto;
        cursor: pointer;

        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 1fr auto;
    }
    div {
        border-radius: 5px 5px 0px 0px;
        background-color: var(--background);

        padding: 20px;
        padding-bottom: 0px;
    }
    aside {
        border-radius: 0px 0px 5px 5px;
        background-color: var(--green);

        padding: 15px;
    }
    figure.down aside {
        background-color: var(--red);
    }

    h2 {
        margin: 0px;
    }
    span {
        color: var(--background);
        background-color: var(--green);

        position: relative;
        top: -4px;

        font-size: 13px;
        font-weight: 600;

        padding: 3px 10px;
        border-radius: 15px;
    }
</style>